Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.runtime
Class Node.NodeRequest

    java.lang.Object
      oracle.ifs.core.runtime.Node.NodeRequest

Enclosing class:
  Node

    public class Node.NodeRequest

extends java.lang.Object

A NodeRequest is structure holding a Node request.

(Published)

Constructor Summary
`Node.NodeRequest(int type, AuditEvent event, java.lang.Object payload)` Constructs a NodeRequest.

Method Summary
`AuditEvent` | `getAuditEvent()` Gets the AuditEvent associated with this request.
`java.lang.Object` | `getPayload()` Gets the additional Object payload.
`int` | `getType()` Gets the request type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Node.NodeRequest

    public Node.NodeRequest(int type,
                            AuditEvent event,
                            java.lang.Object payload)

  Constructs a NodeRequest.

  Parameters:
    `type` - the enumerated request type
    `event` - the AuditEvent associated with this request
    `payload` - the additional Object payload
  (Published)

Method Detail

### getType

    public int getType()

  Description copied from class: `Node.NodeRequest`
  Gets the request type.

  Returns:
    the enumerated request type
  (Published)

### getAuditEvent

    public AuditEvent getAuditEvent()

  Description copied from class: `Node.NodeRequest`
  Gets the AuditEvent associated with this request.

  Returns:
    the AuditEvent associated with this request
  (Published)

### getPayload

    public java.lang.Object getPayload()

  Description copied from class: `Node.NodeRequest`
  Gets the additional Object payload.

  Returns:
    the additional Object payload
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD